summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Brad Hermanson2011-12-30 00:46:54 +0100
committer Robby Workman2011-12-30 00:46:54 +0100
commit76a73ab9771d1f76bc3531287213eae0f756e76e (patch)
treecf34893c2636fe0b8dca4c4c6b1601e00a81c367 /graphics
parent61de6e44eb8f6f21c667eefe7a6090f0269dce34 (diff)
downloadslackbuilds-76a73ab9771d1f76bc3531287213eae0f756e76e.tar.gz
graphics/shotwell: Added (Open source photo manager for GNOME)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/shotwell/README10
-rw-r--r--graphics/shotwell/doinst.sh16
-rw-r--r--graphics/shotwell/shotwell.SlackBuild84
-rw-r--r--graphics/shotwell/shotwell.info10
-rw-r--r--graphics/shotwell/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/graphics/shotwell/README b/graphics/shotwell/README
new file mode 100644
index 0000000000..a1318372e5
--- /dev/null
+++ b/graphics/shotwell/README
@@ -0,0 +1,10 @@
+Shotwell is a digital photo organizer for GNOME. It allows the user to import
+photos from a digital camera or disk, organize them in various ways, and export
+to share with others.
+
+This requires GConf, ORBit2, libgee, libgexiv2, LibRaw, libsoup, libunique,
+vala, icu4c, and webkit.
+
+Kernel options CONFIG_USB_DEVICEFS and CONFIG_USB_DEVICE_CLASS will likely
+need to be disabled before shotwell recognizes the camera. We hope that
+this will be fixed in the next release of Slackware. :)
diff --git a/graphics/shotwell/doinst.sh b/graphics/shotwell/doinst.sh
new file mode 100644
index 0000000000..6fb1283156
--- /dev/null
+++ b/graphics/shotwell/doinst.sh
@@ -0,0 +1,16 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/shotwell/shotwell.SlackBuild b/graphics/shotwell/shotwell.SlackBuild
new file mode 100644
index 0000000000..5b36e411c9
--- /dev/null
+++ b/graphics/shotwell/shotwell.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Brad Hermanson <apeitheo@gmail.com>
+
+PRGNAM=shotwell
+VERSION=0.11.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --lib=lib${LIBDIRSUFFIX} \
+ --disable-schemas-compile \
+ --disable-desktop-update \
+ --disable-icon-update \
+ --enable-build-for-glade \
+ --install-headers \
+ --release
+
+make
+make install DESTDIR=$PKG
+
+# Yes, we're going to overwrite the Slackware-provided rules file.
+# 1. It's incorrect (it should have been generated this way in the
+# libgphoto2 package, but blame rworkman for that) :)
+# 2. Shotwell needs this to function correctly
+# 3. It won't hurt at all to leave it if/when shotwell is removed (see #1)
+mkdir -p $PKG/lib/udev/rules.d
+print-camera-list udev-rules version 136 mode 0660 owner root group plugdev > \
+ $PKG/lib/udev/rules.d/90-libgphoto2.rules
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL MAINTAINERS NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/shotwell/shotwell.info b/graphics/shotwell/shotwell.info
new file mode 100644
index 0000000000..b5968eebae
--- /dev/null
+++ b/graphics/shotwell/shotwell.info
@@ -0,0 +1,10 @@
+PRGNAM="shotwell"
+VERSION="0.11.5"
+HOMEPAGE="http://yorba.org/shotwell/"
+DOWNLOAD="http://www.yorba.org/download/shotwell/0.11/shotwell-0.11.5.tar.bz2"
+MD5SUM="d437c73127b1cb29a8f9c014effc6aa0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Brad Hermanson"
+EMAIL="apeitheo@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/shotwell/slack-desc b/graphics/shotwell/slack-desc
new file mode 100644
index 0000000000..7664c86d5c
--- /dev/null
+++ b/graphics/shotwell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+shotwell: shotwell (Open source photo manager for GNOME)
+shotwell:
+shotwell: Digital photo organizer for Linux.
+shotwell:
+shotwell: Homepage: http://www.yorba.org/shotwell/
+shotwell:
+shotwell:
+shotwell:
+shotwell:
+shotwell:
+shotwell: